| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODTreeTop Class Reference
uiODMain

`#include <uiodtreeitem.h>`

Inheritance diagram for uiODTreeTop:
[legend]

## Public Member Functions
| uiODTreeTop (ui3DViewer *, uiTreeView *, uiODApplMgr *, uiTreeFactorySet *)
| ~uiODTreeTop ()
TypeSet< VisID > | getDisplayIds (VisID &, bool)
void | loopOverChildrenIds (TypeSet< VisID > &, VisID &, bool, const ObjectSet< uiTreeItem > &)
SceneID | sceneID () const
bool | selectWithKey (int selkey) override
Public Member Functions inherited from uiTreeTopItem
| uiTreeTopItem (uiTreeView *, bool=false)
| ~uiTreeTopItem ()
bool | addChild (uiTreeItem *, bool below) override
void | disabAnyClick (bool yn)
void | disabRightClick (bool yn)
uiTreeView * | getTreeView () const
bool | isChecked () const override
void | updateColumnText (int col) override
void | updateSelection (int selectionkey, bool=false) override
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
virtual bool | askContinueAndSaveIfNeeded (bool withcancel)
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
virtual int | selectionKey () const
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
virtual void | updateCheckStatus ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static const char * | applmgrstr ()
static const char * | sceneidkey ()
static const char * | viewerptr ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | addFactoryCB (CallBacker *)
uiODApplMgr * | applMgr ()
const char * | parentType () const override
void | removeFactoryCB (CallBacker *)
Protected Member Functions inherited from uiTreeTopItem
bool | addChld (uiTreeItem *, bool below, bool downwards) override
void | anyButtonClickCB (CallBacker *)
void | doubleClickCB (CallBacker *)
uiParent * | getUiParent () const override
void | handleSelectionChanged (bool frmbtclk)
void | itemRenamed (CallBacker *)
const char * | parentType () const override
void | removeItem (uiTreeViewItem *) override
void | rightClickCB (CallBacker *)
void | selectionChanged (CallBacker *)
Protected Member Functions inherited from uiTreeItem
virtual bool | anyButtonClick (uiTreeViewItem *)
virtual bool | doubleClick (uiTreeViewItem *)
virtual bool | init ()
virtual bool | isExpandable () const
virtual bool | isSelectable () const
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual bool | shouldSelect (int selectionkey) const
virtual bool | showSubMenu ()
virtual int | uiTreeViewItemType () const
virtual bool | useParentType () const

## Protected Attributes
uiTreeFactorySet * | tfs
Protected Attributes inherited from uiTreeTopItem
bool | disabanyclick_
bool | disabrightclick_
bool | disabselcngresp_
uiTreeView * | listview_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODTreeTop()

uiODTreeTop::uiODTreeTop | ( | ui3DViewer * | ,
|  | uiTreeView * | ,
|  | uiODApplMgr * | ,
|  | uiTreeFactorySet * | )

## ◆ ~uiODTreeTop()

uiODTreeTop::~uiODTreeTop | ( |  | ) |

## Member Function Documentation

## ◆ addFactoryCB()

void uiODTreeTop::addFactoryCB | ( | CallBacker * |  | ) |
| protected

## ◆ applMgr()

uiODApplMgr * uiODTreeTop::applMgr | ( |  | ) |
| protected

## ◆ applmgrstr()

static const char * uiODTreeTop::applmgrstr | ( |  | ) |
| static

## ◆ getDisplayIds()

TypeSet< VisID > uiODTreeTop::getDisplayIds | ( | VisID & | ,
|  | bool | )

## ◆ loopOverChildrenIds()

void uiODTreeTop::loopOverChildrenIds | ( | TypeSet< VisID > & | ,
|  | VisID & | ,
|  | bool | ,
|  | const ObjectSet< uiTreeItem > & | )

## ◆ parentType()

const char * uiODTreeTop::parentType | ( |  | ) | const
| inline override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ removeFactoryCB()

void uiODTreeTop::removeFactoryCB | ( | CallBacker * |  | ) |
| protected

## ◆ sceneID()

SceneID uiODTreeTop::sceneID | ( |  | ) | const

## ◆ sceneidkey()

static const char * uiODTreeTop::sceneidkey | ( |  | ) |
| static

## ◆ selectWithKey()

bool uiODTreeTop::selectWithKey | ( | int | selkey | ) |
| override virtual

Reimplemented from uiTreeItem.

## ◆ viewerptr()

static const char * uiODTreeTop::viewerptr | ( |  | ) |
| static

## Member Data Documentation

## ◆ tfs

uiTreeFactorySet* uiODTreeTop::tfs
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025